Subject: Re: Deliberation period for GCD 003 "Rename the default branch" has technically started

From: Steve George <[email-masked]>
Date: Tue, 22 Apr 2025 09:10:48 +0100

On 21 Apr, Liliana Marie Prikler wrote:
> Hi Guix,
> 
> as the date for the GCD 003 was set to February 18th, the discussion
> period actually ended on Saturday already.  I have incorporated some
> changes on Sunday to realign the proposal with GCD 002 (the Codeberg
> one), but barring any emergency changes there, GCD 003 is now to be
> considered final.
> 
> As outlined in GCD 001, please respond to this mail with one of the
> following:
> 
> - “I support”, meaning that you support the proposal;
> - “I accept”, meaning that you consent to the implementation of the
>   proposal;
> - “I disapprove”, meaning that you oppose the implementation of the
>   proposal.
> 
> To count my own vote, I support the change of the default branch name
> to “main”.
> 
> Cheers
>

I disapprove.

I don't think the deliberations on this have gone well either from a group dynamics or technical perspective. It may be that it's simply too social-political to go well, or that as a group we're too new at this type of formal consensus building to do it well. It's an extremely difficult area. At this point I think it needs some calm and further discussion. 

Steve / Futurile